## org.codehaus.groovy.ast.stmt
Class TryCatchStatement

Field Summary
`List` | `catchStatements`
`Statement` | `finallyStatement`
`Statement` | `tryStatement`

Constructor Summary
`TryCatchStatement(Statement tryStatement, Statement finallyStatement)`

Method Summary
`void` | `addCatch(CatchStatement catchStatement)`
`CatchStatement` | `getCatchStatement(int idx)`
`List` | `getCatchStatements()`
`Statement` | `getFinallyStatement()`
`Statement` | `getTryStatement()`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### TryCatchStatement

    public TryCatchStatement(Statement tryStatement, Statement finallyStatement)

Method Detail

### addCatch

    public void addCatch(CatchStatement catchStatement)

### getCatchStatement

    public CatchStatement getCatchStatement(int idx)

  return:
    the catch statement of the given index or null

### getCatchStatements

    public List getCatchStatements()

### getFinallyStatement

    public Statement getFinallyStatement()

### getTryStatement

    public Statement getTryStatement()

### visit

    public void visit(GroovyCodeVisitor visitor)